Name: bb
Version: 1.3
Release: alt0.2

Summary: BB - the portable demo
License: GPL
Group: Toys

%define realver %{version}rc1

Url: http://aa-project.sourceforge.net/bb
Source: http://unc.dl.sourceforge.net/sourceforge/aa-project/%name-%realver.tar.gz
Patch: bb-1.3.0-alt-gcc34.patch

Summary(ru_RU.KOI8-R): BB --  AAlib
Summary(uk_UA.KOI8-U): BB --  AAlib
Summary(pl): BB - przenone demo

# Automatically added by buildreq on Mon Apr 12 2004
BuildRequires: XFree86-devel XFree86-libs aalib-devel hostinfo libgpm-devel libmikmod-devel libslang-devel

%description
BB is an high quality audio-visual demonstration for your text
terminal. It is portable demo, so you can run it on plenty of
operating systems.

%description -l ru_RU.KOI8-R
BB --    
aalib   .

%description -l uk_UA.KOI8-U
BB -- ˦ Ħצ æ 
aalib   ̦ͦ.

%description -l pl
BB jest wysokiej jakoci demem z grafik i dwikiem, dziaajcym na
terminalu tekstowym. Jest przenone - dziaa na wielu systemach
operacyjnych.

%prep
%setup -q -n %name-1.3.0
%patch -p1

%build
rm -f missing
%__aclocal
%__autoconf
%__automake --add-missing
%configure
%make_build

%__cat > %name.menu << EOF
?package(%name): needs="X11" section="Amusement/Toys" \
title="bb" longtitle="BB -- AA demo" \
command="soundwrapper %_bindir/%name -dim -bold -boldfont" icon="%name.xpm"
EOF

%install
%makeinstall
%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%postun
%update_menus

%post
%update_menus

%files
%doc AUTHORS ChangeLog NEWS README
%_datadir/%name/
%_bindir/*
%_menudir/*
%_man1dir/*

%changelog
* Thu Feb 24 2005 Michael Shigorin <mike@altlinux.ru> 1.3-alt0.2
- rebuilt with gcc3.4 (thanks Stanislav Ievlev for fix suggestion)

* Mon Apr 12 2004 Michael Shigorin <mike@altlinux.ru> 1.3-alt0.1
- built for ALT Linux (1.3rc1)
- heh, it was Mon Apr 28 2003 when this package was basically done :-D
  still minor spec fixes/cleanups...
- spec adapted from PLD <feedback@pld.org.pl>
  All persons listed below can be reached at <cvs_login>@pld.org.pl
  arturs, filon, kloczek, qboosh
